%% ---------------------------------------------------------------------------
%% @doc language.hrl
%% @author ming_up@foxmail.com
%% @since  2016-08-08
%% @deprecated  语言包
%% ---------------------------------------------------------------------------

-define(LAN_MSG(LanId), data_language:get(LanId)).

%% ---------------------------------------------------------------------------
%%% 语言id定义
%% ---------------------------------------------------------------------------

%% 注：此处语言id，待重新划分，按{模块id,模块内语言id}作为一个复合id
%% 以下省略...

-define(LAN_TITLE_RECHAEGE,  			35). 	%% 标题: 充值成功
-define(LAN_CONTENT_RECHAEGE, 			36).    %% 内容: 充值成功


-define(LAN_TITLE_RECHAEGE_RETURN,  	52). 	%% 标题: 充值返利
-define(LAN_CONTENT_RECHAEGE_RETURN, 	53).    %% 内容: 充值返利

-define(LAN_TITLE_RENAME,                        131).   %% 标题: 好友改名
-define(LAN_CONTENT_FRIEND_RENAME,               132).   %% 内容: 亲爱的玩家，您的好友{1}现已更名为{2}，请继续保持联系哦！

-define(LAN_TITLE_RECHAEGE_REWARD,                147). %% 标题: 充值活动


-define(LAN_TITLE_HUSONG_TAKE,                 277). %% 标题: 护送拦截成功
-define(LAN_CONTENT_HUSONG_TAKE,               278). %% 内容: 护送拦截成功


-define(LAN_TIME_MM_DD,                        283). %% {1}月{2}日


-define(LAN_TITLE_CLOUD_BUY_LUCKY,                                3310003). %% 标题 幸运之星中奖通知
-define(LAN_CONTENT_CLOUD_BUY_LUCKY,                              3310004). %% 内容 幸运之星中奖通知

-define(LAN_TITLE_CLOUD_BUY_NOMAL,                                3310002). %% 标题 幸运之星未中奖通知
-define(LAN_CONTENT_CLOUD_BUY_NOMAL,                              3310005). %% 内容 幸运之星未中奖通知
-define(LAN_CONTENT_CLOUD_BUY_NO_LUCKY_ORDER,                     3310040). %% 内容 幸运之星未开奖

-define(LAN_TITLE_PERFECT_LOVER,                                3310012). %% 标题 完美恋人奖励通知
-define(LAN_CONTENT_PERFECT_LOVER,                              3310013). %% 内容 完美恋人奖励通知

-define(LAN_MYSTERY_MAN,                        179). %% 神秘人
-define(SYSTEM,                                 180). %% 系统
%% 战斗 200
-define(LAN_TITLE_BATTLE_KILLING,       2000001).       %% 标题 善恶值提醒
-define(LAN_CONTENT_BATTLE_KILLING,     2000002).       %% 亲爱的玩家：\n 您在野外场景击败了<color=#10aaf1>{1}</color>，获得了1点<color=#fa1022>善恶值</color>，并变为红名状态。\n 红名状态下野外可被其它玩家攻击，被击败将损失20晶石。您可以在人物战斗模式旁边的buff列表中查看当前善恶值信息。
%% 羁绊系统 149
-define(LAN_TITLE_MATE_BE_MATE,         1490001).       %% 标题 恭喜缔结羁绊成功
-define(LAN_CONTENT_MATE_BE_MATE,       1490002).       %% 内容 亲爱的玩家：\n 您与 <color=#10aaf1>{1}</color> 缔结羁绊成功！现为您备上一份羁绊大礼，烦请查收~
-define(LAN_TITLE_MATE_CANCEL_MATE,     1490003).       %% 标题 羁绊解除成功
-define(LAN_CONTENT_MATE_CANCEL_MATE,   1490004).       %% 内容 亲爱的玩家：\n 您与 <color=#10aaf1>{1}</color> 解除羁绊成功！两人从此天各一方，各走各路。\n 系统已经相对应的羁绊称号回收，同时清除了亲密度，并将各自互相赠送的礼物折算退换给您。还希望您尽快找到下一段羁绊情！

%% 竞技场 280
-define(LAN_TITLE_ARENA_RANK_REPLACE,                           	2800001). %% 标题 竞技场排名被替换
-define(LAN_CONTENT_ARENA_RANK_REPLACE,                         	2800002). %% 标题 竞技场排名被替换
-define(LAN_CONTENT_ARENA_RANK_OUT,                         		2800002). %% 标题 竞技场排名被替换(跌出榜单)

-define(LAN_TITLE_COLLECT_ALL_REWARD,                           3310018). %% 标题 收集活动全服物品奖励
-define(LAN_CONTENT_COLLECT_ALL_REWARD,                         3310019). %% 标题 收集活动全服物品奖励

%% 福利 417
-define(LAN_TITLE_WELFARE_ONLINE_TIME_REWARD,                   4170003). %% 标题 福利在线时长奖励
-define(LAN_CONTENT_WELFARE_ONLINE_TIME_REWARD,                 4170004). %% 内容 福利在线时长奖励

%% 本服BOSS 460
-define(LAN_TITLE_WORLD_BOSS_AWARD,                           	4600001). %% 标题 世界BOSS奖励补发
-define(LAN_CONTENT_WORLD_BOSS_AWARD,                         	4600002). %% 内容 恭喜您在本日 {1}点 场次的世界BOSS讨伐中成功参与击杀 {2} ，现补发奖励如下，敬请查收！
-define(LAN_TITLE_WORLD_BOSS_WEEK,                         		4600003). %% 标题 世界BOSS周榜结算
-define(LAN_CONTENT_WORLD_BOSS_WEEK,                         	4600004). %% 内容 恭喜您在本周世界BOSS讨伐周榜中成功夺得 {1} 周榜第 {2} 名，现结算奖励如下，敬请查收！
%% 护送500
-define(LAN_TITLE_OFFLINE_AWARD,                                5000001).
-define(LAN_CONTENT_OFFLINE_AWARD,                              5000002).
%% ---------------------------------------------------------------------------
%%% 语言额外类型定义
%% ---------------------------------------------------------------------------
%% 类型
%% 1:传闻
%% 2:普通消息

%% 子类型
%% 1:传闻
%%  频道
%% 2:普通消息
%%  频道

%% 附加提示
%% 0:无
%% 1:提示
%% 2:警告

%% 装备系统传闻 150
-define(LAN_TV_EQUIPMENT_STRENGTH,        1).   %% 强化达到7以上时，每强化一级需触发一次强化传闻
-define(LAN_TV_EQUIPMENT_RISE,            2).   %% 进化达到3以上时，每进化一次需触发一次进化传闻
-define(LAN_TV_EQUIPMENT_COMPOSE_GUARD,   3).   %% 升品成功时，徐触发合成成功传闻
-define(LAN_TV_EQUIPMENT_COMPOSE_JEWELRY, 4).   %% 升品成功时，徐触发合成成功传闻
-define(LAN_TV_EQUIPMENT_SUIT,            5).   %% 全身穿戴激活套装时，需触发传闻
-define(LAN_TV_EQUIPMENT_STAR,            6).   %% 激活星级套装每达到6的倍数时，需触发传闻

%% 本服BOSS传闻 460
-define(LAN_TV_LOCAL_BOSS_DROP,                 1).   %% 赏金BOSS掉落
-define(LAN_TV_LOCAL_BOSS_DROP_UNSHARED,        2).   %% 赏金BOSS独享
-define(LAN_TV_REWARD_BOSS_REBORN,              3).   %% 赏金BOSS刷新提示
-define(LAN_TV_WORLD_BOSS_MAX_HURT,             4).   %% 世界BOSS最高伤害
-define(LAN_TV_WORLD_BOSS_LAST_HIT,             5).   %% 世界BOSS最后一击
-define(LAN_TV_REWARD_BOSS_MAX_HURT_ROLE,       6).   %% 赏金BOSS最高伤害个人
-define(LAN_TV_REWARD_BOSS_MAX_HURT_TEAM,       7).   %% 赏金BOSS最高伤害队伍
-define(LAN_TV_WORLD_BOSS_SHIELD_AWARD,         8).   %% 世界BOSS护盾奖励
-define(LAN_TV_WORLD_BOSS_ASSISTS_AWARD,        9).   %% 世界BOSS协助奖励
-define(LAN_TV_REWARD_BOSS_EXTRA_AWARD,         10).  %% 赏金BOSS最高伤害额外奖励
-define(LAN_TV_PERSONAL_BOSS_DROP,              11).  %% 个人BOSS掉落
%% 语言记录
-record(language, {
        module_id = 0
        , id = 0
        , type = 0
        , subtype = 0
        , tip = 0
        , content = ""
    }).
